
Application: gvSIG desktop - gvSIG bugs #4947
advanced labeling breaks printing / etiquetado avancedo rompe la impresión
10/30/2018 05:37 PM - Mario Fevre

Status: New % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Labeling
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2855 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

EN:
When I turn on this layer, resulting print is interrupted (as attached jpg). Tutrning it off, prints fine again.
The only particularity i find abaut the layer is its advenced labeling.
Still, export to pdf works always fine.

ES:
Cuando enciendo esta capa, la impresión resultante se ve interrumpida (como en el jpg adjunto). Apagándolo vuelve a funcionar
bien.
La única particularidad que encuentro es el etiquetado avanzado.
Aún, exportar a pdf funciona bien en todos los casos.

History
#1 - 02/04/2019 06:11 PM - Álvaro Anguix
- Target version set to 2.5.0-2930-final
- Category set to Labeling

#2 - 03/03/2019 11:45 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2930-final to 2.5.0-2914 (rev. org.gvsig.desktop-2.0.242)

#3 - 03/12/2019 02:40 PM - Mario Carrera

Hola Mario, 
hemos estado haciendo pruebas pero no conseguimos reproducirlo. Necesitaríamos algo más de información. Por ejemplo el CRS de la Vista, si la
capa estaba reproyectada al vuelo, qué configuración tenías en el etiquetado avanzado... 
Un saludo, 
 Mario

#4 - 03/13/2019 07:15 PM - Mario Fevre
- File config_eti.png added
- File ficheros bug.zip added

Envío captura de pantalla de la configuració de etiquetados (no era avanzada)
adjunto zip con archivo y solo 2 capas. con eso debería alcanzar. Para reproducirlo hay que abrirlo e ir a la opaicón imprimir en el mapa.
Aviso, ademas, que verífique y esto me ocurre tambien en 2.5.0 b2913.
De paso añado sobre el etiqutedo:
- Si utilizo etiquetado / general: Etiqutas definidas por el usuario / operación: definir diferentes entidades... > desparecen las etiquetas.
- Si utilizo "Etiquetar todas...", funciona. Pero si selecciono un estilo de fondo:
    - El punto de etiqutado referido no está claro a donde aplica.
    - Si fijo el tamaño del texto en metros en lugar de pixels, en tamaño del área de texto, pierde relación al tamaño del texto.
Si quieren que abra un nuevo bug con estas dos cuestiones me avisan.

#5 - 03/13/2019 07:15 PM - Mario Fevre

ah. crs: 32721

#6 - 03/14/2019 09:52 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2914 (rev. org.gvsig.desktop-2.0.242) to 2.5.0-2930-final

#7 - 03/20/2019 05:16 PM - Óscar Martínez

Buens Mario, necesitaría que comprobaras una cosa. He conseguido replicar el bug pero me ocurre lo siguiente. Cuando le doy a imprimir arriba hay
tres pestañas, una de ellas "Page setup". Por defecto me aparece que tiene de margen izquierdo 3.3in. Si lo modifico a 0 me funciona bien la
impresión.

¿Puedes probar si te aparece este margen izquierdo por defecto con un número alto?
¿Y si lo modificas a cero la impresión es correcta?

Gracias

#8 - 03/21/2019 02:23 PM - Mario Fevre

Más o menos. No me admite el 0 como válido. en su lugar temgo que poner 0,1 para que me lo acepte.
Hecho eso la impresión sale bien.

#9 - 03/28/2019 01:36 PM - Mario Fevre

Sumo esta descripción aórtada por Eduardo Méndez Pírez, en la lista de usuarios. (2019/03/23)

" Hola, buenas tardes.
Me ha surgido un problema a lo hora de trabajar con etiquetado avanzado. - etiquetas definidas por el usuario -
Con "etiquetar todas las entidades de la misma manera" no hay ningún problema
El problema surge a la hora de "definir diferentes clases de entidades y etiquetarlas de manera diferente" ya que al hacerlo tanto en la modalidad de
"etiqueta simple" como en "etiqueta múltiple por escala" me desaparecen las etiquetas. He probado en diferentes ordenadores y el problema es el
mismo. Intenté poner varias etiquetas según diferentes escalas y nada. También lo hice sin escalar y tampoco.
Mando un pdf en el que en la primera página figura las etiquetas etiquetadas todas de la misma manera y perfecto. En la segunda página figura un
pantallazo con los parámetros introducidos para etiquetar "diferentes entidades y etiquetados diferentes" y en la tercera página el resultado de darle a
"aplicar" con los parámetros que figuran en la página 2 y que desparecen las etiquetas
Un saludo."

#10 - 10/16/2019 05:02 PM - Joaquín  del Cerro Murciano
- Priority changed from Normal to High

#11 - 10/29/2019 05:31 PM - Álvaro Anguix
- Target version changed from 2.5.0-2930-final to 2.5.1-3044

#12 - 03/26/2020 01:42 PM - Joaquín  del Cerro Murciano
- Priority changed from High to Normal

#13 - 04/21/2020 09:18 AM - Álvaro Anguix
- Target version deleted (2.5.1-3044)

Files
con_etiquetado.jpg 35.3 KB 10/30/2018 Mario Fevre
sin_etiquetado.jpg 37.7 KB 10/30/2018 Mario Fevre
prueba_3.gvsproj 65.2 KB 10/30/2018 Mario Fevre
gvSIG.log 414 KB 10/30/2018 Mario Fevre
ficheros bug.zip 55.2 KB 03/13/2019 Mario Fevre
config_eti.png 31.5 KB 03/13/2019 Mario Fevre
